<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ba848946-3311-421f-8c0c-26df90d23991" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/compiler.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/gradle.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/libraries/Gradle__junit_junit_4_12.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/libraries/Gradle__org_hamcrest_hamcrest_core_1_3.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/misc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/modules.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/modules/design.patterns.3_main.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/modules/design.patterns.3_test.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/.idea/workspace.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/design.patterns.3.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/src/main/java/cz/ictpro/tieto/state/DecoratorAcounts.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/src/main/java/cz/ictpro/tieto/state/DecoratorDemo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/src/main/java/cz/ictpro/tieto/state/LoggerDecoratorAcounts.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../design.patterns.3/src/main/java/cz/ictpro/tieto/state/SecureDecoratorAcounts.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../dp.1/.idea/dictionaries/Honza.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../dp.1/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../dp.1/src/main/java/Record.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../dp.1/src/main/java/Record_2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../dp.1/src/main/java/Record_3.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../dp.1/src/main/java/Servant.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/tieto/ClusterGenerator.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/Coordinate.class" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/Coordinate.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/Direction.class" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/Direction.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/Robot.class" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/Robot.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/World.class" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/out/production/classes/cz/mendelu/pjj/robot/World.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/Coordinate.java" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/Coordinate.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/Direction.java" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/Direction.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/Robot.java" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/Robot.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/World.java" beforeDir="false" afterPath="$PROJECT_DIR$/../greenfoot-robot/src/main/java/cz/mendelu/pjj/robot/World.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/tieto/DoSmthTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/tieto/DoSmthTest.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-484214946">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="1" />
          <entry key="project.open.time.3" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="9" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="9" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="2274" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="2274" />
        </counts>
      </usages-collector>
    </session>
    <session id="2094618953">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.1" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="803" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="803" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="1" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/tieto/Cluster.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="851">
              <caret line="46" column="27" selection-start-line="46" selection-start-column="27" selection-end-line="46" selection-end-column="27" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ClusterType.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="46">
              <caret line="2" selection-start-line="2" selection-end-line="2" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/tieto/DoSmth.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1587">
              <caret line="79" column="18" selection-start-line="79" selection-start-column="18" selection-end-line="79" selection-end-column="18" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/tieto/LogicalPort.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="828">
              <caret line="45" column="18" selection-start-line="45" selection-start-column="18" selection-end-line="45" selection-end-column="18" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/tieto/DoSmthTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="345">
              <caret line="23" selection-start-line="23" selection-end-line="40" selection-end-column="10" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/tieto/ClusterGenerator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="368">
              <caret line="18" column="49" selection-start-line="18" selection-start-column="49" selection-end-line="18" selection-end-column="49" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/tieto/NetworkingManagementException.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="46">
              <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="TestNG Test Class" />
        <option value="JUnit4 Test Class" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>lpG1</find>
      <find>lpG3</find>
      <find>swt</find>
      <find>swt1</find>
      <find>UUID</find>
    </findStrings>
    <replaceStrings>
      <replace>lpG4</replace>
      <replace>swt3</replace>
      <replace>String</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/NetworkingManagementException.java" />
        <option value="$PROJECT_DIR$/src/DoSmth.java" />
        <option value="$PROJECT_DIR$/src/Clusters.java" />
        <option value="$PROJECT_DIR$/src/ClusterType.java" />
        <option value="$PROJECT_DIR$/src/ClusterPort.java" />
        <option value="$PROJECT_DIR$/src/tieto/ClusterType.java" />
        <option value="$PROJECT_DIR$/src/tieto/DataSwitchPortType.java" />
        <option value="$PROJECT_DIR$/src/tieto/Cluster.java" />
        <option value="$PROJECT_DIR$/src/tieto/LogicalPort.java" />
        <option value="$PROJECT_DIR$/src/tieto/DoSmth.java" />
        <option value="$PROJECT_DIR$/src/tieto/DoSmthTest.java" />
        <option value="$PROJECT_DIR$/src/tieto/ClusterGenerator.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-12" />
    <option name="y" value="-12" />
    <option name="width" value="3866" />
    <option name="height" value="2106" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="untitledlambda" type="b2602c69:ProjectViewProjectNode" />
              <item name="untitledlambda" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="untitledlambda" type="b2602c69:ProjectViewProjectNode" />
              <item name="untitledlambda" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="untitledlambda" type="b2602c69:ProjectViewProjectNode" />
              <item name="untitledlambda" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="tieto" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1543937724607" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="JUnit4" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit4" value="" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.TestNG" value="" />
    <property name="create.test.in.the.same.root" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="tieto" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="CreateClassDialog.RecentsKey">
      <recent name="tieto" />
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda">
    <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="untitled" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="tieto.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="tieto" />
      <option name="MAIN_CLASS_NAME" value="tieto.DoSmthTest" />
      <option name="METHOD_NAME" value="retrieveOfflineLeafInterconnectPorts" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="untitled" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="tieto.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="tieto" />
      <option name="MAIN_CLASS_NAME" value="tieto.DoSmthTest" />
      <option name="METHOD_NAME" value="retrieveOfflineLeafInterconnectPorts_lambda" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.DoSmthTest.retrieveOfflineLeafInterconnectPorts" />
      <item itemvalue="JUnit.DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" />
        <item itemvalue="JUnit.DoSmthTest.retrieveOfflineLeafInterconnectPorts" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ba848946-3311-421f-8c0c-26df90d23991" name="Default Changelist" comment="" />
      <created>1543825863254</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1543825863254</updated>
      <workItem from="1543865453982" duration="10814000" />
      <workItem from="1543923823040" duration="2549000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts - 2018.12.04 at 09h 56m 58s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts - 2018.12.04 at 09h 57m 00s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 57m 42s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 57m 52s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 57m 54s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 58m 36s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 59m 14s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 59m 17s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 59m 26s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DoSmthTest_retrieveOfflineLeafInterconnectPorts_lambda - 2018.12.04 at 09h 59m 29s.xml">
      <configuration name="DoSmthTest.retrieveOfflineLeafInterconnectPorts_lambda" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="13363000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-6" y="-6" width="1933" height="1053" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.17866667" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Learn" order="7" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32936078" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.24485373" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3997833" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="10" show_stripe_button="false" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32936078" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Database" order="7" />
      <window_info anchor="right" id="Maven Projects" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/tieto/DoSmthTest.java</url>
          <line>60</line>
          <properties />
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/tieto/ClusterType.java" />
    <entry file="file://$PROJECT_DIR$/src/tieto/DataSwitchPortType.java" />
    <entry file="file://$PROJECT_DIR$/src/tieto/Cluster.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="851">
          <caret line="46" column="27" selection-start-line="46" selection-start-column="27" selection-end-line="46" selection-end-column="27" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ClusterType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="2" selection-start-line="2" selection-end-line="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/tieto/DoSmth.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1587">
          <caret line="79" column="18" selection-start-line="79" selection-start-column="18" selection-end-line="79" selection-end-column="18" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/tieto/LogicalPort.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="828">
          <caret line="45" column="18" selection-start-line="45" selection-start-column="18" selection-end-line="45" selection-end-column="18" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/tieto/NetworkingManagementException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/tieto/DoSmthTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="23" selection-start-line="23" selection-end-line="40" selection-end-column="10" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/tieto/ClusterGenerator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="18" column="49" selection-start-line="18" selection-start-column="49" selection-end-line="18" selection-end-column="49" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>untitled</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>